package com.yeejoin.amos.boot.module.ugp.api.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.boot.module.ugp.api.dto.WelderEquipmentDto;
import org.aspectj.weaver.ast.Test;

/**
 * 项目资源表（包括焊工、管材、设备）接口类
 *
 * @author system_generator
 * @date 2022-09-22
 */
public interface IProjectResourceService {

    //焊机设备表
    Page<WelderEquipmentDto> installNoticeMsgList(Page<WelderEquipmentDto> page, String name, String type);
    //焊机设备页面分页查询
    Page<WelderEquipmentDto> selectByName(Page<WelderEquipmentDto> page, String name ,String unit);

    Page<WelderEquipmentDto> selectByInfo(Page<WelderEquipmentDto> page, Test info , String unit);
    //根据sequenceNbr查询列表数据
    WelderEquipmentDto customSelectById(Long sequenceNbr);

}
